Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.modelmbean
Class ModelMBeanConstructorInfo

    java.lang.Object
      javax.management.MBeanFeatureInfo
          javax.management.MBeanConstructorInfo
              javax.management.modelmbean.ModelMBeanConstructorInfo

All Implemented Interfaces:
  Cloneable, DescriptorAccess, Serializable

public class ModelMBeanConstructorInfo
extends MBeanConstructorInfo
implements DescriptorAccess, Cloneable

Represents constructor.

Version:
  $Revision: 1.12 $

  20020715 Adrian Brock:

  - Serialization
Author:
  Juha Lindfors., Adrian Brock., Thomas Diesler.
See Also:
  `ModelMBeanInfo`, `ModelMBeanInfoSupport`, Serialized Form

Field Summary

Fields inherited from class javax.management.MBeanFeatureInfo
`description, name`

Constructor Summary
`ModelMBeanConstructorInfo(String description, Constructor constructorMethod)` Creates a new constructor info with a default descriptor.
`ModelMBeanConstructorInfo(String description, Constructor constructorMethod, Descriptor descriptor)` Creates a new constructor info with a given descriptor.
`ModelMBeanConstructorInfo(String name, String description, MBeanParameterInfo[] signature)` Creates a new constructor info with default descriptor.
`ModelMBeanConstructorInfo(String name, String description, MBeanParameterInfo[] signature, Descriptor descriptor)` Creates a new constructor info with a given descriptor.

Method Summary
`Object` | `clone()`
`Descriptor` | `getDescriptor()` Returns a copy of the descriptor associated with this constructor.
`void` | `setDescriptor(Descriptor inDescriptor)` Replaces the descriptor associated with this constructor.
`String` | `toString()`

Methods inherited from class javax.management.MBeanConstructorInfo
`equals, getSignature, hashCode`

Methods inherited from class javax.management.MBeanFeatureInfo
`getDescription, getName`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModelMBeanConstructorInfo

    public ModelMBeanConstructorInfo(String description,
                                     Constructor constructorMethod)

  Creates a new constructor info with a default descriptor.

Parameters:
  `description` - human readable description string
  `constructorMethod` - a `Constructor` instance representing the MBean constructor

### ModelMBeanConstructorInfo

    public ModelMBeanConstructorInfo(String description,
                                     Constructor constructorMethod,
                                     Descriptor descriptor)

  Creates a new constructor info with a given descriptor. If a `null` or invalid descriptor is passed as a parameter, a default descriptor will be created for the constructor.

Parameters:
  `description` - human readable description string
  `constructorMethod` - a `Constructor` instance representing the MBean constructor
  `descriptor` - a descriptor to associate with this constructor

### ModelMBeanConstructorInfo

    public ModelMBeanConstructorInfo(String name,
                                     String description,
                                     MBeanParameterInfo[] signature)

  Creates a new constructor info with default descriptor.

Parameters:
  `name` - name for the constructor
  `description` - human readable description string
  `signature` - constructor signature

### ModelMBeanConstructorInfo

    public ModelMBeanConstructorInfo(String name,
                                     String description,
                                     MBeanParameterInfo[] signature,
                                     Descriptor descriptor)

  Creates a new constructor info with a given descriptor. If a `null` or invalid descriptor is passed as a parameter, a default descriptor will be created for the constructor.

Parameters:
  `name` - name for the constructor
  `description` - human readable description string
  `signature` - constructor signature
  `descriptor` - a descriptor to associate with this constructor

Method Detail

### getDescriptor

    public Descriptor getDescriptor()

  Returns a copy of the descriptor associated with this constructor.

  Specified by:
    `getDescriptor` in interface `DescriptorAccess`
  Returns:
    a copy of this constructor's descriptor instance

### setDescriptor

    public void setDescriptor(Descriptor inDescriptor)

  Replaces the descriptor associated with this constructor. If the `inDescriptor` argument is `null` then the existing descriptor is replaced with a default descriptor.

  Specified by:
    `setDescriptor` in interface `DescriptorAccess`
  Parameters:
    `inDescriptor` - descriptor used for replacing the existing constructor descriptor
  Throws:
    `IllegalArgumentException` - if the new descriptor is not valid

### clone

    public Object clone()

  Overrides:
    `clone` in class `MBeanConstructorInfo`

### toString

    public String toString()

  Overrides:
    `toString` in class `MBeanConstructorInfo`
  Returns:
    a human readable string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.